openSUSE Tumbleweed 更新 KDE Frameworks 5.37.0 等

openSUSE Tumbleweed 本周只发布了 1 个快照(0825),更新了 KDE Frameworks 5.37.0、KDE Plasma 5.10.5 以及 KDE Applications 17.08.0。

KDE Frameworks 5.37.0 属于一个较大的更新,包含 119 处变动。最大的改变表现在 为 KHTML 引擎提供矢量图形(SVG, Scalable Vector Graphics)支持,在 NetworkManagerQt 中支持 ipv*.route-metric,更新 Akregator 的系统托盘图标,Sonnet 支持 Qt5Widgets 等。

KDE Plasma 5.10.5 主要修复了 KDE 上的软件中心 Discover 以及 Plasma 桌面、Plasma 工作空间等组件上的已知问题。

KDE Applications 17.08.0 上有更多应用以及几乎所有游戏都迁移到了 Qt5/KF5 框架。因为 Qt4 失去支持已经有一年多了,KDE 决定适当延长对 Qt4/kdelibs4-based 应用的支持。但是不管怎么说 KDE 应用 17.08 都将会是最后一个包含 Qt4/kdelibs4-based 应用的版本了。也就是说,17.12 将会只包含基于 Qt5/KF5 的应用。详见这里的讨论

另外,20170825 快照移除了 KDE Telepathy 相关软件报告(ktp-*)。也就是说, Telepathy-kde 差不多整个合集都从 openSUSE Tumbleweed 的官方源中移除了。因为 KDE Telepathy 已经有相当长的一段时间没有人维护了。不过似乎 KDE 社区还没有将其从 KDE Applications 中移除,因为这一套软件包目前还能正常构建。如果有人用这套软件的话,也许可以从另一个源来更新。在执行 openSUSE Tumbleweed 升级之前就需要添加该源,否则 openSUSE Tumbleweed 升级过程会移除所有相关软件包。

其它更新还包括 Mozilla Thunderbird 52.3.0,cURL 7.55,gcc 7.2 rc,glibc 2.26,digikam (5.5.0 -> 5.6.0),gtk3 (3.22.18 -> 3.22.19),各种 lib,krita (3.1.4 -> 3.2.0),mercurial (4.2.3 -> 4.3.1) 以及 Samba 4.6.7 等。

Dominique在邮件列表上解释了本周快照只有一个的原因。因为引入 dnf 软件包,其中使用了始于 rpm 4.13 的新的 rpm 依赖操作参数,导致有的元数据无法被一些打算向 Tumbleweed 升级的其它版本系统(比如 Leap 42.3)识别。这么以来,为了保证质量,QA 里面的好几个快照都没有最终发布。这些快照里的更新将会很快合成一个来发布。

接下来应该很快会释出 Kernel 4.12.9/10 和 gpg 2.2。另外,PHP5 马上就要从 Tumbleweed 中移除了,希望大家提前配置好 PHP7。©

本文发表于水景一页。永久链接:<https://cnzhx.net/blog/opensuse-tumbleweed-2017wk35/>。转载请保留此信息及相应链接。

3 条关于 “openSUSE Tumbleweed 更新 KDE Frameworks 5.37.0 等” 的评论

  1. 更新到Plasma 5.10.5的時候,系統提示一些packman的軟件包如k3b、lame等必須換成openSUSE官方源並降級,想問一下這正常嗎?

    • 是的,我也遇到这个了,同意并执行之后没有遇到任何问题。但是我实际上从来没用过 k3b 和 lame,所以也不知道实际上对这些直接涉及到的软件本身来说是不是会有什么问题。
      据我对 packman 源的了解,这个现象是正常的。有时候 openSUSE Tumbleweed 里面的软件包的版本比 packman 里面的还新;有时候 packman 会放弃一些软件包的更新,因为随着条件的改变,其能提供的内容跟 oSTw 里面的包是一致的了。

  2. 引用通告: openSUSE Tumbleweed 更新 Linux Kernel 4.12.9 | 水景一页

雁过留声,人过留名

电子邮件地址不会被公开。 必填项已用*标注

特别提示:与当前文章主题无关的讨论相关但需要较多讨论求助信息请发布到水景一页讨论区的相应版块,谢谢您的理解与合作!请参考本站互助指南